> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations campaigns meta adsreport



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/campaigns/{campaignId}/meta-ads/report
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/campaigns/{campaignId}/meta-ads/report:
    get:
      tags:
        - Meta Ads
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: campaignId
          in: path
        - schema:
            type: string
            format: date
          required: true
          name: since
          in: query
        - schema:
            type: string
            format: date
          required: true
          name: until
          in: query
      responses:
        '200':
          description: >-
            Each enabled ad with its creative and one row per day, paused and
            archived ads included
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaAdsReport'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    MetaAdsReport:
      type: object
      properties:
        currency:
          type: string
        ads:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              status:
                type: string
              campaign:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
              ad_set:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
              creative:
                type: object
                nullable: true
                properties:
                  format:
                    type: string
                    enum:
                      - image
                      - video
                      - carousel
                  image_url:
                    type: string
                    nullable: true
                  primary_text:
                    type: string
                    nullable: true
                  headline:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  cta:
                    type: string
                    nullable: true
                  lead_form:
                    type: boolean
                  cards:
                    type: array
                    items:
                      type: object
                      properties:
                        headline:
                          type: string
                          nullable: true
                        description:
                          type: string
                          nullable: true
                        image_url:
                          type: string
                          nullable: true
                      required:
                        - headline
                        - description
                        - image_url
                  page:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      picture_url:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - picture_url
                required:
                  - format
                  - image_url
                  - primary_text
                  - headline
                  - description
                  - cta
                  - lead_form
                  - cards
                  - page
              reach:
                type: number
              days:
                type: array
                items:
                  type: object
                  properties:
                    date:
                      type: string
                      format: date
                    spend:
                      type: number
                    impressions:
                      type: number
                    reach:
                      type: number
                    clicks:
                      type: number
                    leads:
                      type: number
                  required:
                    - date
                    - spend
                    - impressions
                    - reach
                    - clicks
                    - leads
            required:
              - id
              - name
              - status
              - campaign
              - ad_set
              - creative
              - reach
              - days
      required:
        - currency
        - ads
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.